\documentclass{standalone}

\usepackage[latin1]{inputenc}
\usepackage{tikz}
\usetikzlibrary{trees}
\usetikzlibrary{decorations.pathmorphing}
\usetikzlibrary{decorations.markings}
\begin{document}

\tikzset{
    complemented/.style={postaction={decorate},
        decoration={markings,mark=at position .5 with {\draw[black] circle[radius=2pt];}}}
}
\begin{tikzpicture}[level/.style={sibling distance=30mm/#1}]
\node {$abc^{\prime}$}
    child {node [circle,draw] {}
        child {node [circle,draw] {}
        child {node {$a$}}
        child {node {$b$}}}
        child {node {$c$}
        edge from parent [complemented]}};

\end{tikzpicture}

\end{document}